{******************************************}
{                                          }
{             FastReport VCL               }
{         Win platform routines            }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frLazGraphicUtils;

interface

{$I frVer.inc}

uses
{$IFNDEF Linux}
  Windows,
{$ELSE}
  LCLType, LCLIntf, frLazGraphicClasses,
{$ENDIF}
{$IFDEF FPC}
  LazGraphicHelper,
{$ENDIF}
  Messages, Classes, Graphics, frBaseGraphicsTypes,
{$IFDEF DELPHI16}
  System.UITypes,
{$ENDIF}
  SysUtils;

procedure frxApplyMask(MaskBM: TBitmap; SourceBM: TBitmap; MaskColor: TColor);
function IsBlendingCompatibleDevice(Canvas: TCanvas): Boolean;
procedure frxDrawGraphic(Canvas: TCanvas; DestRect: TRect; aGraph: TGraphic;
  IsPrinting, Smooth, Transparent: Boolean; TransparentColor: TColor; Alpha: TBitmap);

procedure frxDrawGraphicBlend(Canvas: TCanvas; Area: TRect; PF32: TBitmap; Quality: TfrxGraphicQuality);

implementation
end.
